# Tetris 3D

A modern take on the classic Tetris game with 3D rotation effects and animations. This game adds a new dimension to traditional Tetris gameplay by allowing tetromino pieces to be rotated and mirrored in 3D space.

## Features

- **3D Rotation Effects**: Experience Tetris with stunning 3D rotation animations
- **Customizable Options**: Toggle 3D effects, spin animations, and adjust animation speed
- **Responsive Controls**: Play with keyboard or gamepad
- **Visual Effects**: Gradient colors, glow effects, and shadows
- **Modern UI**: Clean, neon-styled interface with a space-themed background

## Controls

### Keyboard Controls

- **A / ←**: Move Left
- **D / →**: Move Right 
- **S / ↓**: Move Down
- **Q**: Rotate Left
- **E**: Rotate Right
- **W**: Horizontal 3D Rotation/Mirror
- **X**: Vertical 3D Rotation/Mirror
- **Space**: Hard Drop
- **P**: Pause Game
- **H**: Toggle Shadow

### Gamepad Controls (if available)

- **D-Pad Left/Right**: Move Left/Right
- **D-Pad Down**: Move Down
- **A Button**: Rotate Left
- **B Button**: Rotate Right
- **Y Button**: Horizontal 3D Rotation/Mirror
- **X Button**: Vertical 3D Rotation/Mirror
- **RT Button**: Hard Drop
- **Start Button**: Pause Game

## Options

Access the options menu to customize your gameplay experience:

- **3D Effects**: Enable/disable 3D rotation effects
- **Spin Animations**: Enable/disable rotation animations
- **Animation Speed**: Adjust how fast animations play

## Technologies

- HTML5
- CSS3
- JavaScript (Vanilla)
- HTML5 Canvas for rendering

## How to Play

1. Open the `index.html` file in a web browser
2. Press the "New Game" button to start
3. Use the keyboard controls to move and rotate pieces
4. Clear lines by filling rows completely with blocks
5. Try to achieve the highest score possible

## Live Demo

Play the game directly in your browser: [Tetris 3D Live Demo](https://cmclark00.github.io/tetris-3d/)

Repository: [https://github.com/cmclark00/tetris-3d](https://github.com/cmclark00/tetris-3d)

## Credits

Developed by Corey Clark

## License

This project is open source and available under the [MIT License](LICENSE). 